Zum Hauptinhalt springen
GET
/
subscription-items
/
{id}
cURL
curl -X GET \
 /subscription-items/{id} \
 --header "Authorization: Bearer <token>"
{
  "id": "01F9ZQZJZJQZJZJZJZJZJZJZJZ",
  "parent": "<unknown>",
  "plan": {
    "id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
    "family": {
      "id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b"
    },
    "code": "basic-m2023",
    "originProduct": {
      "type": "product",
      "measurement": {
        "unit": {
          "id": {},
          "name": "Stück"
        },
        "code": "users",
        "id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
        "description": "The number of users.",
        "aggregationType": "sum",
        "fairBilling": true,
        "type": "recurring"
      },
      "taxGroup": {},
      "id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
      "name": "Basic",
      "description": "For small teams.",
      "internalName": "Basic (Weekly)",
      "invoiceVisibility": "always",
      "costCentre": {},
      "customFields": {
        "field1": "value1",
        "field2": "value2"
      }
    },
    "allowCheckout": true,
    "status": "draft",
    "createdAt": "2023-11-07T05:31:56Z",
    "name": "<string>",
    "description": "<string>"
  },
  "measurementValues": [
    {
      "id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
      "measurement": {
        "unit": {
          "id": {},
          "name": "Stück"
        },
        "code": "users",
        "id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
        "description": "The number of users.",
        "aggregationType": "sum",
        "fairBilling": true,
        "type": "recurring"
      },
      "quantity": 1,
      "measuredAt": "2021-01-01T00:00:00+00:00"
    }
  ],
  "billing": {
    "lastBilledAt": "2023-11-07T05:31:56Z",
    "lastBilledTo": "2023-11-07T05:31:56Z",
    "lastBilledFrom": "2023-11-07T05:31:56Z",
    "nextBillingAt": "2023-11-07T05:31:56Z",
    "billingInterval": "1M"
  },
  "name": "Fitness M",
  "description": "Everything included",
  "furtherInformation": "Additional agreements: The contract includes a free drink flatrate.",
  "pricePlan": {
    "type": "flat_fee",
    "price": {
      "amount": 123,
      "createdAt": "2021-01-01T00:00:00+00:00",
      "updatedAt": "2021-01-01T00:00:00+00:00",
      "tenantId": "<string>"
    },
    "id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
    "internalName": "Exclusive pricing for partners.",
    "status": "active",
    "applyTrial": true,
    "payInAdvance": true,
    "proRata": true,
    "freeUnits": 1,
    "billingInterval": "1M",
    "showPricePerInterval": "1M",
    "custom": true,
    "charge": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
    "productSetOption": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
    "inUse": true
  },
  "status": "active",
  "product": {
    "type": "product",
    "measurement": {
      "unit": {
        "id": {},
        "name": "Stück"
      },
      "code": "users",
      "id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
      "description": "The number of users.",
      "aggregationType": "sum",
      "fairBilling": true,
      "type": "recurring"
    },
    "taxGroup": {},
    "id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
    "name": "Basic",
    "description": "For small teams.",
    "internalName": "Basic (Weekly)",
    "invoiceVisibility": "always",
    "costCentre": {},
    "customFields": {
      "field1": "value1",
      "field2": "value2"
    }
  },
  "appliedDiscounts": [
    {
      "id": "<string>",
      "coupon": {
        "code": "10OFF",
        "name": "10% off",
        "type": "percentage",
        "frequency": "limited",
        "id": "<string>",
        "percentage": 10,
        "fixedAmount": {},
        "frequencyInterval": 3,
        "maxRedemptionsPerCustomer": "null",
        "maxRedemptions": "null",
        "expiresAt": "null",
        "limitedToPlans": [
          {
            "id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
            "family": {
              "id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b"
            },
            "code": "basic-m2023",
            "originProduct": {
              "type": "product",
              "measurement": {
                "unit": {
                  "id": {},
                  "name": "Stück"
                },
                "code": "users",
                "id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
                "description": "The number of users.",
                "aggregationType": "sum",
                "fairBilling": true,
                "type": "recurring"
              },
              "taxGroup": {},
              "id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
              "name": "Basic",
              "description": "For small teams.",
              "internalName": "Basic (Weekly)",
              "invoiceVisibility": "always",
              "costCentre": {},
              "customFields": {
                "field1": "value1",
                "field2": "value2"
              }
            },
            "allowCheckout": true,
            "status": "draft",
            "createdAt": "2023-11-07T05:31:56Z",
            "name": "<string>",
            "description": "<string>"
          }
        ],
        "excludedFromPlans": [
          {
            "id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
            "family": {
              "id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b"
            },
            "code": "basic-m2023",
            "originProduct": {
              "type": "product",
              "measurement": {
                "unit": {
                  "id": {},
                  "name": "Stück"
                },
                "code": "users",
                "id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
                "description": "The number of users.",
                "aggregationType": "sum",
                "fairBilling": true,
                "type": "recurring"
              },
              "taxGroup": {},
              "id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
              "name": "Basic",
              "description": "For small teams.",
              "internalName": "Basic (Weekly)",
              "invoiceVisibility": "always",
              "costCentre": {},
              "customFields": {
                "field1": "value1",
                "field2": "value2"
              }
            },
            "allowCheckout": true,
            "status": "draft",
            "createdAt": "2023-11-07T05:31:56Z",
            "name": "<string>",
            "description": "<string>"
          }
        ],
        "limitedToProducts": [
          {
            "type": "product",
            "measurement": {
              "unit": {
                "id": {},
                "name": "Stück"
              },
              "code": "users",
              "id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
              "description": "The number of users.",
              "aggregationType": "sum",
              "fairBilling": true,
              "type": "recurring"
            },
            "taxGroup": {},
            "id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
            "name": "Basic",
            "description": "For small teams.",
            "internalName": "Basic (Weekly)",
            "invoiceVisibility": "always",
            "costCentre": {},
            "customFields": {
              "field1": "value1",
              "field2": "value2"
            }
          }
        ],
        "excludedFromProducts": [
          {
            "type": "product",
            "measurement": {
              "unit": {
                "id": {},
                "name": "Stück"
              },
              "code": "users",
              "id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
              "description": "The number of users.",
              "aggregationType": "sum",
              "fairBilling": true,
              "type": "recurring"
            },
            "taxGroup": {},
            "id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
            "name": "Basic",
            "description": "For small teams.",
            "internalName": "Basic (Weekly)",
            "invoiceVisibility": "always",
            "costCentre": {},
            "customFields": {
              "field1": "value1",
              "field2": "value2"
            }
          }
        ],
        "isEnabled": true,
        "reedemptions": true
      },
      "status": "active",
      "discount": {
        "name": "10% off",
        "type": "percentage",
        "frequency": "limited",
        "percentage": 10,
        "fixedAmount": {},
        "frequencyInterval": 3
      },
      "appliedIntervals": 1
    }
  ],
  "periods": [
    {
      "id": "<string>",
      "contractPeriodCount": 123,
      "contractPeriod": {},
      "cancellationPeriod": {},
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "activatedAt": "2021-01-01T00:00:00+00:00",
  "type": "addon",
  "currentMeasurementValue": {
    "id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
    "measurement": {
      "unit": {
        "id": {},
        "name": "Stück"
      },
      "code": "users",
      "id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
      "description": "The number of users.",
      "aggregationType": "sum",
      "fairBilling": true,
      "type": "recurring"
    },
    "quantity": 1,
    "measuredAt": "2021-01-01T00:00:00+00:00"
  },
  "inheritedPeriod": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.fynn.eu/llms.txt

Use this file to discover all available pages before exploring further.

Autorisierungen

Authorization
string
header
erforderlich

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Pfadparameter

id
string
erforderlich

SubscriptionItem identifier

Antwort

SubscriptionItem resource

id
string
read-only
Beispiel:

"01F9ZQZJZJQZJZJZJZJZJZJZJZ"

parent
any | null

The parent item of the item. If this is null, the item is a root item.

plan
object

The plan this item is based on.

measurementValues
object[]
read-only

Usage values during the subscription item period.

billing
object
read-only

The billing details of the item.

name
string
read-only

The name of the item which will be used in the invoice. The name is translated based on the customer's locale.

Beispiel:

"Fitness M"

description
string | null
read-only

The description of the item which will be used in the invoice. The description is translated based on the customer's locale.

Beispiel:

"Everything included"

furtherInformation
string | null
read-only

Further information defines additional information for the item which will be displayed in the invoice.

Beispiel:

"Additional agreements: The contract includes a free drink flatrate."

pricePlan
object

The price plan of the item, which defines the price and billing interval.

status
enum<string>
read-only

The status of the item.

Possible values:

  • active: The item is active and will be billed.
  • canceled: The item is canceled and will be billed until the end of the contract.
  • pending: The item is pending and will be billed after the contract start.
  • terminated: The item is terminated and will not be billed.
Verfügbare Optionen:
active,
canceled,
pending,
terminated
Beispiel:

"active"

product
object

The product of the item.

appliedDiscounts
object[]
read-only
periods
object[]
activatedAt
string<date-time> | null
read-only

The date the subscription item was activated.

Beispiel:

"2021-01-01T00:00:00+00:00"

type
enum<string>
read-only

The type of the item.

Possible values:

  • option: The item is an product set option.
  • charge: The item is a charge.
  • plan-product: The item is a plan product.
  • product: The item is a product, and not created from a plan.
Verfügbare Optionen:
addon,
charge,
plan-product,
product
Beispiel:

"addon"

currentMeasurementValue
object

The current measurement value of the item.

inheritedPeriod
boolean
read-only

Is the period inherited from the subscription?

Beispiel:

true